--- title: "Get custom attributes" slug: "nclue-getcustomattributes" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-getcustomattributes" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get custom attributes Available in VPC Get details of a specific custom attributes profile. You can check the progress of the created profile, the feature used to create the profile, and the name of the bucket and file path in Object Storage where the profiling results will be stored. If the creation fails, you can see the error message. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /profile/custom-attributes/{profile_id} | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profile_id` | String | Required | Profile ID - See [Get custom attributes list](/docs/en/nclue-getcustomattributeslist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/profile/custom-attributes/{profile_id}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profile_id` | String | - | Profile ID | | `profile_name` | String | - | Profile name | | `feature_id` | String | - | Feature ID to apply for profiling | | `feature_name` | String | - | Feature name to apply for profiling | | `keyword_set` | String | - | Attribute keyword list - Each keyword is separated by a comma | | `status` | String | - | Profile status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Profile creation request date and time - ISO 8601 format | | `completed_at` | String | - | Profile creation completion date and time - ISO 8601 format | | `result_bucket` | String | - | Name of the Object Storage bucket where the profiling result is stored | | `result_file_path` | String | - | Path of the `result_bucket` file where the profiling result is stored | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `line_count` | Integer | - | Number of lines of features apply for profiling | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "profile_id": "4d4522c7-****-****-****-a453cb89f055", "profile_name": "YOUR_PROFILE_NAME", "feature_id": "28bd06bb-****-****-****-9f2d6a9c3313", "feature_name": "YOUR_FEATURE_NAME", "keyword_set": "Running, outdoor running, running along the Han River, marathon, running club, 10 km running, 5 km running", "status": "completed", "created_at": "2024-10-18T01:33:06", "completed_at": "2024-10-18T01:34:20", "result_bucket": "YOUR_BUCKET_NAME", "result_file_path": "path/filename", "nclue_model_name": "NFM2", "nclue_model_status": "active", "line_count": 93734, "fail_message": null } ```